### Method

# Ide SourceView get_scaled_font_desc

#### Declaration

    PangoFontDescription*
    ide_source_view_get_scaled_font_desc (
      IdeSourceView* self
    )

#### Description

Like `ide_source_view_get_font_desc()` but takes the editor zoom into account. You must free the result with pango_font_description_free().

Available since: | 3.32

#### Return value

Returns: | `PangoFontDescription`
| A `PangoFontDescription`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.